new Vue({
	el: '#childApp',
	data:function(){
		return {
			ss:'sas',
			dateRange:[new Date(), new Date()],
			taskList:[],
			taskvalue: '',
			start_date: '',
			end_date:'',
			takeList:[],
			takevalue: '',
			loading: true,
		}
	},
	methods: {
		changeRange(dateRange){
			console.log(dateRange);
			this.start_date = dateRange[0];
			this.end_date = dateRange[1];
			this.getRule(this.taskvalue,this.start_date,this.end_date,this.takevalue);  // 获取统计数据
		},
		changeTask(msg){
			console.log(msg);
			this.taskvalue = msg;
			this.getTake()
			this.getRule(this.taskvalue,this.start_date,this.end_date,this.takevalue);  // 获取统计数据
		},
		changeTake(msg){
			this.takevalue = msg;
			this.getRule(this.taskvalue,this.start_date,this.end_date,this.takevalue);  // 获取统计数据
			console.log(msg);
		},
		getTask(){
			let that = this;
			RquestsGet('api/v1/tasks/obtain/').then(data => {
				//console.log(data);
				if(data.code != 0){
					that.taskList = [{id:'',name:'全部任务'}];
				}else{
					that.taskList = [{id:'',name:'全部任务'}].concat(data.data);
					that.getTake()
				}
			})
		},
		getTake(){
			let that = this;
			RquestsGet('api/v1/tasks/seat/?task=' + that.taskvalue).then(data => {
				//console.log(data);

				if(data.code != 0){
					//that.takeList = [{agentName:'全部坐席'}]
				}else{
					that.takeList = data.data;
				}
			})
		},
		Charts(msg){
			let msgLen = msg.length;
			let sourceArr = [
	                [ 'product', 'amount'],
	        ].concat(msg);
		    var option = {
	        dataZoom : [
	            {
	                type: 'slider',
	                show: true,
	                // orient: 'horizontal',
	                orient: 'vertical',
	                zoomLock: true,
	                // start: 25,
	                // end: 100,
	                startValue: msgLen,
	                endValue: msgLen-10,
	                handleSize: 8
	            },
	            {
	                type: 'inside',
	                // start: 25,
	                // end: 100,
	                orient: 'vertical',
	                zoomLock: true,
	                // zoomOnMouseWheel:false,
	                startValue: 17,
	                endValue: 7,
	            },
	            {
	                type: 'slider',
	                show: true,
	                xAxisIndex: 0,
	                filterMode: 'empty',
	                width: 12,
	                // height: '70%',
	                handleSize: 8,
	                orient: 'vertical',
	                zoomLock: true,
	                showDataShadow: false,
	                left: '93%'
	            }
	        ],

	    
	        dataset: {
	            source: sourceArr
	        },
	        grid: {containLabel: true},
	        xAxis: {name: 'amount'},
	        yAxis: {type: 'category',boundaryGap:'20%'},
	        series: [
	            {
	                type: 'bar',
	                barWidth: 20,
	                barCategoryGap: "20%",
	                label:{
	                    normal: {
	                      position: 'right',
	                      show: true,
	                      color: '#000'
	                    }
	                },
	                itemStyle:{
	                  normal:{
	                    color: '#fccb04' 
	                  },
	                  emphasis:{
	                    color: '#f7d139' 
	                  }
	                },
	                encode: {
	                    x: 'amount',
	                    y: 'product'
	                }
	            }
	        ]
	      };

	        var myChart =  echarts.init(document.getElementById('main'));
	        myChart.setOption(option) 
	        if(msg.length == 0){
		        myChart.showLoading({
		            	text: '暂无数据',
		          		color: '#ffffff',
		          		textColor: '#8a8e91',
		          		maskColor: 'rgba(255, 255, 255, 0.8)',
				    }
				 );
	        }else{
	        	myChart.hideLoading();
	        }
	        window.onresize = function(){
	          myChart.resize(); 
	        }


		},
		getRule(task,start_date,end_date,agentName){
			let that = this;
			let arr = [];
			this.$loading({text:'数据加载中...'});
			RquestsPost('api/v1/tasks/rule/',{task,start_date,end_date,agentName}).then(data => {
				console.log(data.data);
				if(data.code != 0){
					that.$message(data.msg);
					if(data.msg){
						that.$message(data.msg);
					}else{
						that.$message('服务器错误')
					}
				}
				if(!data.data){

					this.$loading().close();
					return false;
				}
				//for(let key in data.data){
				//	arr.unshift([data.data[key],key])
				//}

				that.Charts(data.data);
				this.$loading().close();
			})
		},
		dateFormat(date){
			return date.getFullYear() + "-" + (date.getMonth()+1) + "-" + date.getDate();
		},
		init(){
			this.dateRange = [new Date(new Date()-24*60*60*1000*30), new Date()];
			this.start_date = this.dateFormat(new Date(new Date()-24*60*60*1000*30));
			this.end_date = this.dateFormat(new Date());
			this.getTask();  // 获取任务
			//this.getTake();  // 获取坐席

			console.log(this.dateRange);
			this.getRule(this.taskvalue,this.start_date,this.end_date,this.takevalue);  // 获取统计数据

		}
	},
	created(){
		this.init()
	},

})
